[PATCH] i386: HIGHMEM64G must depend on X86_CMPXCHG64
authorAdrian Bunk <bunk@stusta.de>
Sun, 5 Feb 2006 07:28:05 +0000 (23:28 -0800)
committerLinus Torvalds <torvalds@g5.osdl.org>
Sun, 5 Feb 2006 19:06:54 +0000 (11:06 -0800)
Due to the usage of set_64bit in include/asm-i386/pgtable-3level.h,
HIGHMEM64G must depend on X86_CMPXCHG64.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Linus Torvalds <torvalds@osdl.org>
arch/i386/Kconfig

index d86c865a7cd22b1d1892e03d3473b45767539677..0afec8566e7bd750743910580c06093481e29daa 100644 (file)
@@ -442,6 +442,7 @@ config HIGHMEM4G
 
 config HIGHMEM64G
        bool "64GB"
 
 config HIGHMEM64G
        bool "64GB"
+       depends on X86_CMPXCHG64
        help
          Select this if you have a 32-bit processor and more than 4
          gigabytes of physical RAM.
        help
          Select this if you have a 32-bit processor and more than 4
          gigabytes of physical RAM.